
//Please add your own GoogleAPI Key!!!

var DemoResponse = {
    "location": {
        "lat": 47.510629099999996,
        "lng": 8.5961641
    },
    "accuracy": 1665
};

btnLocate.onclick = function() {

    var JsonCell = {
        "cellTowers": [{
            "cellId": 29315071,
            "locationAreaCode": 20200,
            "mobileCountryCode": 228,
            "mobileNetworkCode": 2,
            "signalStrength": -68,
        }]
    };
    var JsonGeo = {
        "homeMobileCountryCode": 310,
        "homeMobileNetworkCode": 410,
        "radioType": "gsm",
        "carrier": "Vodafone",
        "considerIp": "true",
        "cellTowers": []
    };
    JsonGeo.cellTowers = JsonCell;

    var Data = JsonGeo;
    
    //AddYourAPIkeyHERE!!
    var HTTP = "https://www.googleapis.com/geolocation/v1/geolocate?key=AddYourAPIkeyHERE";

    try {
        req = Ajax(HTTP, "POST", Data, GeolocDone, AjaxGeolocFail);

    } catch (err) {
        console.log(err);
    }

};

function GeolocDone() {
    if (req.readyState != 4) {
        return; //ignore progress reports
    }

    if (req.status == 200) { //success

        var Response = req.responseText;
        console.log("Geoloc: ");
        console.log(Response);
        console.log("DEMO-Geoloc: ");
        console.log(DemoResponse);
        try {
            console.log("Response: " + Response.accuracy);
            console.log("DemoResponse: " + DemoResponse.accuracy);

        } catch (err) {
            console.log(err);
        }

    } else { //failure
        console.log("Geoloc failed");

    }
}

function AjaxGeolocFail() {
    console.log("Geoloc failed Ajax");
}